/*
 * pref-embuttons.js
 *
 */

/***** Preference Dialog Functions *****/
//
var gPref = Components.classes["@mozilla.org/preferences-service;1"].getService(Components.interfaces.nsIPrefBranch);
var checkboxes = ["conciseModeEM","alphasortEM","alphasortTM"];
var lists = ["extensionsTarget","themesTarget"];

// load all preferences into the dialog
function EMbinit()
{
   try {
      for (var i = 0; i < checkboxes.length; ++i) {
         var checkbox = document.getElementById(checkboxes[i]);
         checkbox.checked = gPref.getBoolPref(checkbox.getAttribute("prefstring"));
      }

      for (var i = 0; i < lists.length; i++) {
         var element = document.getElementById(lists[i]);
         var prefstring = element.getAttribute("prefstring");
         element.selectedItem = element.getElementsByAttribute("value", gPref.getIntPref(prefstring))[0];
      }

   }
   catch (e) {}
}

// save all preferences entered into the dialog
function EMbsave()
{
   try {
      for (var i = 0; i < checkboxes.length; ++i) {
         var checkbox = document.getElementById(checkboxes[i]);
         gPref.setBoolPref(checkbox.getAttribute("prefstring"), checkbox.checked);
      }

      for (var i = 0; i < lists.length; i++) {
         var element = document.getElementById(lists[i]);
         gPref.setIntPref(element.getAttribute("prefstring"), element.selectedItem.value);
      }
   }
   catch (e) {}

   return true;
}



